using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// （H=>Home）高频隐患
    /// </summary>
    [Description("高频隐患")]
    public class T_BI_HRISK_TOP : MesEntityBase
    {
        /// <summary>
        /// 年份
        /// </summary>
        [Description("年份")]
        public int YEAR { get; set; }

        /// <summary>
        /// 生产单元
        /// </summary>
        [Description("生产单元")]
        public FMProductionUnit? MINETYPE { get; set; }

        /// <summary>
        /// 部门层级
        /// </summary>
        [Description("部门层级")]
        public FMDepartmentType DEPARTMENT_TYPE { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门ID")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [Description("部门名称")]
        [DataFieldLength(200)]
        public string DEPARTMENT_NAME { get; set; }

        /// <summary>
        /// 隐患名称ID
        /// </summary>
        [Description("隐患名称ID")]
        public Guid MAINID { get; set; }

        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [DataFieldLength(500)]
        public string CHECKCONTENT { get; set; }

        /// <summary>
        /// 隐患次数
        /// </summary>
        [Description("隐患次数")]
        public int COUNT { get; set; }
    }
}